Package org.bukkit.event.entity

# Class EntityEnterLoveModeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityEnterLoveModeEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityEnterLoveModeEvent extends EntityEvent implements Cancellable
Called when an entity enters love mode.
This can be cancelled but the item will still be consumed that was used to make the entity enter into love mode.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityEnterLoveModeEvent(@NotNull Animals animalInLove, @Nullable HumanEntity humanEntity, int ticksInLove)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Animals`
`getEntity()`
Gets the animal that is entering love mode.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable HumanEntity`
`getHumanEntity()`
Gets the Human Entity that caused the animal to enter love mode.
`int`
`getTicksInLove()`
Gets the amount of ticks that the animal will fall in love for.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setTicksInLove(int ticksInLove)`
Sets the amount of ticks that the animal will fall in love for.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityEnterLoveModeEvent

public EntityEnterLoveModeEvent(@NotNull @NotNull Animals animalInLove, @Nullable @Nullable HumanEntity humanEntity, int ticksInLove)

## Method Details

### getEntity

@NotNull public @NotNull Animals getEntity()
Gets the animal that is entering love mode.

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  The animal that is entering love mode

### getHumanEntity

@Nullable public @Nullable HumanEntity getHumanEntity()
Gets the Human Entity that caused the animal to enter love mode.

Returns:
  The Human entity that caused the animal to enter love mode, or null if there wasn't one.

### getTicksInLove

public int getTicksInLove()
Gets the amount of ticks that the animal will fall in love for.

Returns:
  The amount of ticks that the animal will fall in love for

### setTicksInLove

public void setTicksInLove(int ticksInLove)
Sets the amount of ticks that the animal will fall in love for.

Parameters:
  `ticksInLove` - The amount of ticks that the animal will fall in love for

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()